package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;
import org.codehaus.jackson.annotate.JsonIgnore;

import java.math.BigDecimal;

/**
 * @Author Joburgess
 * @Date 2019/10/11
 */
public class VipGroupSalaryBaseInfo {

    @ApiModelProperty(value = "预计课酬总额")
    @JsonIgnore
    private BigDecimal expectTotalSalary;

    @ApiModelProperty(value = "扣费笔数")
    private Integer feeDeductionNum;

    @ApiModelProperty(value = "扣费总额")
    private BigDecimal totalFeeDeduction;

    @ApiModelProperty(value = "课酬总额")
    private BigDecimal totalSalary;

    public BigDecimal getExpectTotalSalary() {
        return expectTotalSalary;
    }

    public void setExpectTotalSalary(BigDecimal expectTotalSalary) {
        this.expectTotalSalary = expectTotalSalary;
    }

    public Integer getFeeDeductionNum() {
        return feeDeductionNum;
    }

    public void setFeeDeductionNum(Integer feeDeductionNum) {
        this.feeDeductionNum = feeDeductionNum;
    }

    public BigDecimal getTotalFeeDeduction() {
        return totalFeeDeduction;
    }

    public void setTotalFeeDeduction(BigDecimal totalFeeDeduction) {
        this.totalFeeDeduction = totalFeeDeduction;
    }

    public BigDecimal getTotalSalary() {
        return totalSalary;
    }

    public void setTotalSalary(BigDecimal totalSalary) {
        this.totalSalary = totalSalary;
    }
}
